import Vue, { DirectiveFunction, DirectiveOptions, VueConstructor } from 'vue';
export interface IDirectiveItem {
    id: string;
    definition?: DirectiveOptions | DirectiveFunction;
}
export interface IDirectiveInitParam {
    [key: string]: IDirectiveItem;
}
export declare function initDirective<V extends Vue>(vueConstructor: VueConstructor<V>, directives: IDirectiveInitParam): void;
