import Vue, { ComponentOptions, VueConstructor } from 'vue';
export declare type IMixinItem = VueConstructor | ComponentOptions<Vue>;
export interface IMixinInitParam {
    [key: string]: IMixinItem;
}
export declare function initMixin<V extends Vue>(vueConstructor: VueConstructor<V>, mixins: IMixinInitParam): void;
